Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.midp.midlet
Interface MIDletTunnel

    public interface MIDletTunnel

This is the interface to "tunnel" across Java package namespace, and call the protected methods in the another package namespace. The callee package will implement this interface, and provide a static utility instance to the caller package.

Method Summary
`void` | `callDestroyApp(MIDlet m, boolean unconditional)` Calls the destroyApp method on the midlet instance.
`void` | `callPauseApp(MIDlet m)` Calls the pauseApp method on the midlet instance.
`void` | `callStartApp(MIDlet m)` Calls the startApp method on the midlet instance.
`MIDletPeer` | `getMIDletPeer(MIDlet m)` Returns the MIDletPeer object corresponding to the given midlet instance.

Method Detail

### getMIDletPeer

    MIDletPeer getMIDletPeer(MIDlet m)

  Returns the MIDletPeer object corresponding to the given midlet instance.

  Parameters:
    `m` - MIDlet instance
  Returns:
    associated MIDletPeer instance

### callStartApp

    void callStartApp(MIDlet m)
                      throws MIDletStateChangeException

  Calls the startApp method on the midlet instance.

  Parameters:
    `m` - MIDlet instance
  Throws:
    `MIDletStateChangeException` - is thrown if the `MIDlet` cannot start now but might be able to start at a later time.

### callPauseApp

    void callPauseApp(MIDlet m)

  Calls the pauseApp method on the midlet instance.

  Parameters:
    `m` - MIDlet instance

### callDestroyApp

    void callDestroyApp(MIDlet m,
                        boolean unconditional)
                        throws MIDletStateChangeException

  Calls the destroyApp method on the midlet instance.

  Parameters:
    `m` - MIDlet instance
    `unconditional` - the flag to pass to destroy
  Throws:
    `MIDletStateChangeException` - is thrown if the `MIDlet` wishes to continue to execute (Not enter the Destroyed state). This exception is ignored if `unconditional` is equal to `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"